Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228279 - Review Request: hunspell-bg - Bulgarian hunspell dictionary
Summary: Review Request: hunspell-bg - Bulgarian hunspell dictionary
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-12 14:18 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 09:41:17 UTC
wolfy: fedora-review+
notting: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-12 14:18:10 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-bg.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-bg-0.20040405-1.src.rpm
Description: Bulgarian hunspell dictionary

1) http://wiki.services.openoffice.org/wiki/Dictionaries#Bulgarian_.28Bulgaria.29
2) GPL
3) splits this dictionary out of OOo to becomes a standalone package which can be independently updated and reused by other applications, e.g. firefox when it moves to hunspell

very similar to #227811

Comment 1 manuel wolfshant 2007-02-12 15:30:21 UTC
- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 949cff5c527a1dd8c0ec4b6035a34a50e81ec7af 
bg_BG.zip
- the package builds in mock, devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag seems identical to the one included (in
Bulgarian..) in the sources
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint is silent on both source and binary rpm
- code, not content
- no need for -docs as the only doc is just a 2.5K text file
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

Comment 2 Mamoru TASAKA 2007-02-13 05:56:03 UTC
Well, for now, until new review process makes clear,
please mark the reviewer as assigner as before (not
merge review).

Comment 3 Caolan McNamara 2007-02-14 09:41:17 UTC
 27537 (hunspell-bg): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.